# This is a simple YAML file

active: yes

name: filter routing daily chatter from the INBOX/Junk mailboxes

period: daily

filters:
  context:
    mailbox: INBOX
    select:
      anyof:
        - subject [NTG-context]
        - subject [dev-context]
        - subject [luatex]
        - subject [Dev-luatex]
    actions:
      - printId
      - sendTo context@perceptisys.co.uk
      - delete

  fom:
    mailbox: INBOX
    select:
      allof:
        - subject [FOM]
    actions:
      - printId
      - sendTo fom@perceptisys.co.uk
      - delete

  sadmin:
    mailbox: INBOX
    select:
      anyof:
        - subject RsyncBackup
        - subject Cron
        - subject Anacron
        - subject Logwatch
        - subject root@
        - subject gg03
        - subject gg04
        - subject nn01
        - subject mk14b
        - subject cjgg001
        - subject arpwatch
        - subject Penetration Test
        - to -security-announce
        - to -changes
    actions:
      - printId
      - sendTo sadmin@perceptisys.co.uk
      - delete

  z-cleanup-inbox:
    mailbox: INBOX
    select:
      - date_lt thirtyDaysAgo
    actions:
      - printId
      - moveTo Trash

  #z-cleanup-junk:
  #  mailbox: Junk
  #  select:
  #    - date_lt thirtyDaysAgo
  #  actions:
  #    - printId
  #    - moveTo Trash

  z-cleanup-spam:
    mailbox: Spam
    select:
      - date_lt thirtyDaysAgo
    actions:
      - printId
      - moveTo Trash

  zz-cleanup:
    mailbox: Trash
    select:
      - date_lt sixtyDaysAgo
    actions:
      - printId
      - delete

